 
 function OnThink(self)
  -- rotate object over time
    local t = Timer:GetTimeDiff()*500
  

    self:IncOrientation(0,0, t)
   
    local mysSring1 = "Hello "
    local mysSring2 = "Lua "
    
    Debug:PrintLine("Joining the strings: "..mysSring1.. mysSring2)

 end